Bug 474 - can't allocate enough memory for Xv
can't allocate enough memory for Xv
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Driver/nVidia (open)
6.8.2
x86 (IA32) Linux (All)
: high normal
Assigned To: Egbert Eich
Xorg Project Team
:
: 923 (view as bug list)
Depends on:
Blocks: 351
  Show dependency treegraph
 
Reported: 2004-04-14 12:59 UTC by Philipp Zerelles
Modified: 2007-03-09 14:02 UTC (History)
34 users (show)

See Also:


Attachments
Xorg.log (35.04 KB, text/x-log)
2004-05-03 04:19 UTC, Alan Crosswell
no flags Details
Fix. (645 bytes, patch)
2004-08-27 14:43 UTC, Egbert Eich
no flags Details | Splinter Review
Xorg.0.log for xorg-cvs-6.8.1 (36.74 KB, text/plain)
2004-09-17 15:56 UTC, Jona Brax
no flags Details
Xorg.0.log for version 7.1.1 (62.33 KB, text/plain)
2006-11-24 10:55 UTC, Christian Schlotter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Zerelles 2004-04-14 12:59:33 UTC
I installed ATI's proprietary drivers (version 3.7.6) on my system running 
Xorg (version 6.7.0). After that, programs using Xv (like xine or mplayer) 
with a larger image area (> 800x600) fail to get an Xv image due to lack of 
resources in the Xserver: 
 
X Error of failed request:  BadAlloc (insufficient resources for operation) 
  Major opcode of failed request:  142 (XVideo) 
  Minor opcode of failed request:  19 () 
 
I am working with a resolution of 1920x1200 at 24bit color depth. I tried to 
lower the resolution and didn't get a fullscreen Xv display until I reached 
resolutions lower than 800x600 (640x480 worked). 
When I deactivate DRI in the config file, Xv works again as it should, because 
there is now more video memory available for overlay I assume. Before changing 
to Xorg 6.7.0, I used XFree 4.3.0 and the same ATI drivers 3.7.6 and Xv worked 
perfectly even with DRI enabled. (I think that I once tried to use XFree 
4.4.0rc2 and the video overlay also didn't work, maybe the problem was created 
there) 
 
Maybe the output of the Xserver is interesting for you: 
 
Release Date: 18 December 2003 
X Protocol Version 11, Revision 0, Release 6.7 
Build Operating System: Linux 2.6.5-gentoo i686 [ELF]  
Current Operating System: Linux dennis 2.6.5-gentoo #1 Sat Apr 10 13:30:28 
CEST 2004 i686 
Build Date: 14 April 2004 
	Before reporting problems, check http://wiki.X.Org 
	to make sure that you have the latest version. 
Module Loader present 
Markers: (--) probed, (**) from config file, (==) default setting, 
	(++) from command line, (!!) notice, (II) informational, 
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown. 
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Apr 14 21:16:27 2004 
(==) Using config file: "/etc/X11/xorg.conf" 
(==) ServerLayout "Server Layout" 
(**) |-->Screen "Screen0" (0) 
(**) |   |-->Monitor "Monitor0" 
(**) |   |-->Device "ATI Graphics Adapter" 
(**) |-->Input Device "Mouse1" 
(**) |-->Input Device "Keyboard1" 
(**) Option "AutoRepeat" "500 30" 
(**) Option "XkbRules" "xfree86" 
(**) XKB: rules: "xfree86" 
(**) Option "XkbModel" "pc105" 
(**) XKB: model: "pc105" 
(**) Option "XkbLayout" "de" 
(**) XKB: layout: "de" 
(==) Keyboard: CustomKeycode disabled 
(**) FontPath set to "/usr/X11R6/lib/X11/fonts/misc/" 
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb" 
(==) ModulePath set to "/usr/X11R6/lib/modules" 
(WW) Open APM failed (/dev/apm_bios) (No such file or directory) 
(II) Module ABI versions: 
	X.Org ANSI C Emulation: 0.2 
	X.Org Video Driver: 0.7 
	X.Org XInput driver : 0.4 
	X.Org Server Extension : 0.2 
	X.Org Font Renderer : 0.4 
(II) Loader running on linux 
(II) LoadModule: "bitmap" 
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a 
(II) Module bitmap: vendor="X.Org Foundation" 
	compiled for 6.7.0, module version = 1.0.0 
	Module class: X.Org Font Renderer 
	ABI class: X.Org Font Renderer, version 0.4 
(II) Loading font Bitmap 
(II) LoadModule: "pcidata" 
(II) Loading /usr/X11R6/lib/modules/libpcidata.a 
(II) Module pcidata: vendor="X.Org Foundation" 
	compiled for 6.7.0, module version = 1.0.0 
	ABI class: X.Org Video Driver, version 0.7 
Using vt 7 
(--) using VT number 7 
 
(II) PCI: Probing config type using method 1 
(II) PCI: Config type is 1 
(II) PCI: stages = 0x03, oldVal1 = 0x00000000, mode1Res1 = 0x80000000 
(II) PCI: PCI scan (all values are in hex) 
(II) PCI: 00:00:0: chip 8086,2530 card 1043,8030 rev 04 class 06,00,00 hdr 00 
(II) PCI: 00:01:0: chip 8086,2532 card 0000,0000 rev 04 class 06,04,00 hdr 01 
(II) PCI: 00:1e:0: chip 8086,244e card 0000,0000 rev 04 class 06,04,00 hdr 01 
(II) PCI: 00:1f:0: chip 8086,2440 card 0000,0000 rev 04 class 06,01,00 hdr 80 
(II) PCI: 00:1f:1: chip 8086,244b card 1043,8028 rev 04 class 01,01,80 hdr 00 
(II) PCI: 00:1f:2: chip 8086,2442 card 1043,8028 rev 04 class 0c,03,00 hdr 00 
(II) PCI: 00:1f:3: chip 8086,2443 card 1043,8028 rev 04 class 0c,05,00 hdr 00 
(II) PCI: 00:1f:4: chip 8086,2444 card 1043,8028 rev 04 class 0c,03,00 hdr 00 
(II) PCI: 00:1f:5: chip 8086,2445 card 1043,8095 rev 04 class 04,01,00 hdr 00 
(II) PCI: 01:00:0: chip 1002,4152 card 174b,7c19 rev 00 class 03,00,00 hdr 80 
(II) PCI: 01:00:1: chip 1002,4172 card 174b,7c18 rev 00 class 03,80,00 hdr 00 
(II) PCI: 02:04:0: chip 1033,0035 card 807d,0035 rev 41 class 0c,03,10 hdr 80 
(II) PCI: 02:04:1: chip 1033,0035 card 807d,0035 rev 41 class 0c,03,10 hdr 00 
(II) PCI: 02:04:2: chip 1033,00e0 card 807d,1043 rev 02 class 0c,03,20 hdr 00 
(II) PCI: 02:08:0: chip 8086,2449 card 8086,3013 rev 03 class 02,00,00 hdr 00 
(II) PCI: 02:0b:0: chip 1044,a501 card 1044,c05a rev 02 class 0e,00,01 hdr 80 
(II) PCI: 02:0b:1: chip 1044,a500 card 0000,0000 rev 02 class 06,04,00 hdr 81 
(II) PCI: 02:0c:0: chip 109e,036e card 0070,13eb rev 02 class 04,00,00 hdr 80 
(II) PCI: 02:0c:1: chip 109e,0878 card 0070,13eb rev 02 class 04,80,00 hdr 80 
(II) PCI: 02:0d:0: chip 1102,0002 card 1102,8040 rev 05 class 04,01,00 hdr 80 
(II) PCI: 02:0d:1: chip 1102,7002 card 1102,0020 rev 05 class 09,80,00 hdr 80 
(II) PCI: End of PCI scan 
(II) Host-to-PCI bridge: 
(II) Bus 0: bridge is at (0:0:0), (0,0,3), BCTRL: 0x0008 (VGA_EN is set) 
(II) Bus 0 I/O range: 
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B] 
(II) Bus 0 non-prefetchable memory range: 
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B] 
(II) Bus 0 prefetchable memory range: 
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B] 
(II) PCI-to-PCI bridge: 
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x0008 (VGA_EN is set) 
(II) Bus 1 I/O range: 
	[0] -1	0	0x0000d000 - 0x0000dfff (0x1000) IX[B] 
(II) Bus 1 non-prefetchable memory range: 
	[0] -1	0	0xa5800000 - 0xa67fffff (0x1000000) MX[B] 
(II) Bus 1 prefetchable memory range: 
	[0] -1	0	0xb0000000 - 0xdfffffff (0x30000000) MX[B] 
(II) PCI-to-PCI bridge: 
(II) Bus 2: bridge is at (0:30:0), (0,2,3), BCTRL: 0x0006 (VGA_EN is cleared) 
(II) Bus 2 I/O range: 
	[0] -1	0	0x0000a000 - 0x0000a0ff (0x100) IX[B] 
	[1] -1	0	0x0000a400 - 0x0000a4ff (0x100) IX[B] 
	[2] -1	0	0x0000a800 - 0x0000a8ff (0x100) IX[B] 
	[3] -1	0	0x0000ac00 - 0x0000acff (0x100) IX[B] 
	[4] -1	0	0x0000b000 - 0x0000b0ff (0x100) IX[B] 
	[5] -1	0	0x0000b400 - 0x0000b4ff (0x100) IX[B] 
	[6] -1	0	0x0000b800 - 0x0000b8ff (0x100) IX[B] 
	[7] -1	0	0x0000bc00 - 0x0000bcff (0x100) IX[B] 
(II) Bus 2 non-prefetchable memory range: 
	[0] -1	0	0xa3800000 - 0xa57fffff (0x2000000) MX[B] 
(II) Bus 2 prefetchable memory range: 
	[0] -1	0	0xa6800000 - 0xafffffff (0x9800000) MX[B] 
(II) PCI-to-ISA bridge: 
(II) Bus -1: bridge is at (0:31:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set) 
(II) PCI-to-PCI bridge: 
(II) Bus 3: bridge is at (2:11:1), (2,3,3), BCTRL: 0x0004 (VGA_EN is cleared) 
(--) PCI:*(1:0:0) ATI Technologies Inc RV350 AR [Radeon 9600] rev 0, Mem @ 
0xd0000000/28, 0xa6000000/16, I/O @ 0xd800/8, BIOS @ 0xcffe0000/17 
(--) PCI: (1:0:1) ATI Technologies Inc RV350 AR [Radeon 9600] (Secondary) rev 
0, Mem @ 0xb0000000/28, 0xa5800000/16 
(--) PCI: (2:12:0) Brooktree Corporation Bt878 Video Capture rev 2, Mem @ 
0xa7000000/12 
(II) Addressable bus resource ranges are 
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B] 
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B] 
(II) OS-reported resource ranges: 
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B) 
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B) 
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B] 
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B] 
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B] 
	[5] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B] 
	[6] -1	0	0x00000000 - 0x000000ff (0x100) IX[B] 
(II) PCI Memory resource overlap reduced 0xe0000000 from 0xefffffff to 
0xdfffffff 
(II) Active PCI resource ranges: 
	[0] -1	0	0xa6800000 - 0xa6800fff (0x1000) MX[B] 
	[1] -1	0	0xa8000000 - 0xafffffff (0x8000000) MX[B] 
	[2] -1	0	0xa3800000 - 0xa3800fff (0x1000) MX[B] 
	[3] -1	0	0xa4000000 - 0xa40000ff (0x100) MX[B] 
	[4] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O 
	[5] -1	0	0xa7000000 - 0xa7000fff (0x1000) MX[B](B) 
	[6] -1	0	0xcffe0000 - 0xcfffffff (0x20000) MX[B](B) 
	[7] -1	0	0xa6000000 - 0xa600ffff (0x10000) MX[B](B) 
	[8] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B) 
	[9] -1	0	0x0000a800 - 0x0000a81f (0x20) IX[B] 
	[10] -1	0	0x0000b800 - 0x0000b83f (0x40) IX[B] 
	[11] -1	0	0x00009000 - 0x0000901f (0x20) IX[B] 
	[12] -1	0	0x0000e800 - 0x0000e80f (0x10) IX[B] 
	[13] -1	0	0x00009400 - 0x0000941f (0x20) IX[B] 
	[14] -1	0	0x00009800 - 0x0000980f (0x10) IX[B] 
	[15] -1	0	0x0000d800 - 0x0000d8ff (0x100) IX[B](B) 
(II) Inactive PCI resource ranges: 
	[0] -1	0	0xa4800000 - 0xa4800fff (0x1000) MX[B] 
	[1] -1	0	0xa5000000 - 0xa5000fff (0x1000) MX[B] 
	[2] -1	0	0xa5800000 - 0xa580ffff (0x10000) MX[B](B) 
	[3] -1	0	0xb0000000 - 0xbfffffff (0x10000000) MX[B](B) 
	[4] -1	0	0x0000a400 - 0x0000a407 (0x8) IX[B] 
	[5] -1	0	0x00008400 - 0x0000843f (0x40) IX[B] 
	[6] -1	0	0x00008800 - 0x000088ff (0x100) IX[B] 
(II) Active PCI resource ranges after removing overlaps: 
	[0] -1	0	0xa6800000 - 0xa6800fff (0x1000) MX[B] 
	[1] -1	0	0xa8000000 - 0xafffffff (0x8000000) MX[B] 
	[2] -1	0	0xa3800000 - 0xa3800fff (0x1000) MX[B] 
	[3] -1	0	0xa4000000 - 0xa40000ff (0x100) MX[B] 
	[4] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O 
	[5] -1	0	0xa7000000 - 0xa7000fff (0x1000) MX[B](B) 
	[6] -1	0	0xcffe0000 - 0xcfffffff (0x20000) MX[B](B) 
	[7] -1	0	0xa6000000 - 0xa600ffff (0x10000) MX[B](B) 
	[8] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B) 
	[9] -1	0	0x0000a800 - 0x0000a81f (0x20) IX[B] 
	[10] -1	0	0x0000b800 - 0x0000b83f (0x40) IX[B] 
	[11] -1	0	0x00009000 - 0x0000901f (0x20) IX[B] 
	[12] -1	0	0x0000e800 - 0x0000e80f (0x10) IX[B] 
	[13] -1	0	0x00009400 - 0x0000941f (0x20) IX[B] 
	[14] -1	0	0x00009800 - 0x0000980f (0x10) IX[B] 
	[15] -1	0	0x0000d800 - 0x0000d8ff (0x100) IX[B](B) 
(II) Inactive PCI resource ranges after removing overlaps: 
	[0] -1	0	0xa4800000 - 0xa4800fff (0x1000) MX[B] 
	[1] -1	0	0xa5000000 - 0xa5000fff (0x1000) MX[B] 
	[2] -1	0	0xa5800000 - 0xa580ffff (0x10000) MX[B](B) 
	[3] -1	0	0xb0000000 - 0xbfffffff (0x10000000) MX[B](B) 
	[4] -1	0	0x0000a400 - 0x0000a407 (0x8) IX[B] 
	[5] -1	0	0x00008400 - 0x0000843f (0x40) IX[B] 
	[6] -1	0	0x00008800 - 0x000088ff (0x100) IX[B] 
(II) OS-reported resource ranges after removing overlaps with PCI: 
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B) 
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B) 
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B] 
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B] 
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B] 
	[5] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B] 
	[6] -1	0	0x00000000 - 0x000000ff (0x100) IX[B] 
(II) All system resource ranges: 
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B) 
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B) 
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B] 
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B] 
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B] 
	[5] -1	0	0xa6800000 - 0xa6800fff (0x1000) MX[B] 
	[6] -1	0	0xa8000000 - 0xafffffff (0x8000000) MX[B] 
	[7] -1	0	0xa3800000 - 0xa3800fff (0x1000) MX[B] 
	[8] -1	0	0xa4000000 - 0xa40000ff (0x100) MX[B] 
	[9] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O 
	[10] -1	0	0xa7000000 - 0xa7000fff (0x1000) MX[B](B) 
	[11] -1	0	0xcffe0000 - 0xcfffffff (0x20000) MX[B](B) 
	[12] -1	0	0xa6000000 - 0xa600ffff (0x10000) MX[B](B) 
	[13] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B) 
	[14] -1	0	0xa4800000 - 0xa4800fff (0x1000) MX[B] 
	[15] -1	0	0xa5000000 - 0xa5000fff (0x1000) MX[B] 
	[16] -1	0	0xa5800000 - 0xa580ffff (0x10000) MX[B](B) 
	[17] -1	0	0xb0000000 - 0xbfffffff (0x10000000) MX[B](B) 
	[18] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B] 
	[19] -1	0	0x00000000 - 0x000000ff (0x100) IX[B] 
	[20] -1	0	0x0000a800 - 0x0000a81f (0x20) IX[B] 
	[21] -1	0	0x0000b800 - 0x0000b83f (0x40) IX[B] 
	[22] -1	0	0x00009000 - 0x0000901f (0x20) IX[B] 
	[23] -1	0	0x0000e800 - 0x0000e80f (0x10) IX[B] 
	[24] -1	0	0x00009400 - 0x0000941f (0x20) IX[B] 
	[25] -1	0	0x00009800 - 0x0000980f (0x10) IX[B] 
	[26] -1	0	0x0000d800 - 0x0000d8ff (0x100) IX[B](B) 
	[27] -1	0	0x0000a400 - 0x0000a407 (0x8) IX[B] 
	[28] -1	0	0x00008400 - 0x0000843f (0x40) IX[B] 
	[29] -1	0	0x00008800 - 0x000088ff (0x100) IX[B] 
(II) LoadModule: "dbe" 
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a 
(II) Module dbe: vendor="X.Org Foundation" 
	compiled for 6.7.0, module version = 1.0.0 
	Module class: X.Org Server Extension 
	ABI class: X.Org Server Extension, version 0.2 
(II) Loading extension DOUBLE-BUFFER 
(II) LoadModule: "extmod" 
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a 
(II) Module extmod: vendor="X.Org Foundation" 
	compiled for 6.7.0, module version = 1.0.0 
	Module class: X.Org Server Extension 
	ABI class: X.Org Server Extension, version 0.2 
(II) Loading extension SHAPE 
(II) Loading extension MIT-SUNDRY-NONSTANDARD 
(II) Loading extension BIG-REQUESTS 
(II) Loading extension SYNC 
(II) Loading extension MIT-SCREEN-SAVER 
(II) Loading extension XC-MISC 
(II) Loading extension XFree86-VidModeExtension 
(II) Loading extension XFree86-Misc 
(II) Loading extension XFree86-DGA 
(II) Loading extension DPMS 
(II) Loading extension FontCache 
(II) Loading extension TOG-CUP 
(II) Loading extension Extended-Visual-Information 
(II) Loading extension XVideo 
(II) Loading extension XVideo-MotionCompensation 
(II) Loading extension X-Resource 
(II) LoadModule: "type1" 
(II) Loading /usr/X11R6/lib/modules/fonts/libtype1.a 
(II) Module type1: vendor="X.Org Foundation" 
	compiled for 6.7.0, module version = 1.0.2 
	Module class: X.Org Font Renderer 
	ABI class: X.Org Font Renderer, version 0.4 
(II) Loading font Type1 
(II) Loading font CID 
(II) LoadModule: "freetype" 
(II) Loading /usr/X11R6/lib/modules/fonts/libfreetype.so 
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project" 
	compiled for 6.7.0, module version = 2.1.0 
	Module class: X.Org Font Renderer 
	ABI class: X.Org Font Renderer, version 0.4 
(II) Loading font FreeType 
(II) LoadModule: "glx" 
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a 
(II) Module glx: vendor="X.Org Foundation" 
	compiled for 6.7.0, module version = 1.0.0 
	ABI class: X.Org Server Extension, version 0.2 
(II) Loading sub module "GLcore" 
(II) LoadModule: "GLcore" 
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a 
(II) Module GLcore: vendor="X.Org Foundation" 
	compiled for 6.7.0, module version = 1.0.0 
	ABI class: X.Org Server Extension, version 0.2 
(II) Loading extension GLX 
(II) LoadModule: "dri" 
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a 
(II) Module dri: vendor="X.Org Foundation" 
	compiled for 6.7.0, module version = 1.0.0 
	ABI class: X.Org Server Extension, version 0.2 
(II) Loading sub module "drm" 
(II) LoadModule: "drm" 
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a 
(II) Module drm: vendor="X.Org Foundation" 
	compiled for 6.7.0, module version = 1.0.0 
	ABI class: X.Org Server Extension, version 0.2 
(II) Loading extension XFree86-DRI 
(II) LoadModule: "fglrx" 
(II) Loading /usr/X11R6/lib/modules/drivers/fglrx_drv.o 
(II) Module fglrx: vendor="Fire GL - ATI Research GmbH, Germany" 
	compiled for 4.3.0.1, module version = 3.7.6 
	Module class: XFree86 Video Driver 
	ABI class: XFree86 Video Driver, version 0.6 
(II) LoadModule: "mouse" 
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o 
(II) Module mouse: vendor="X.Org Foundation" 
	compiled for 6.7.0, module version = 1.0.0 
	Module class: X.Org XInput Driver 
	ABI class: X.Org XInput driver, version 0.4 
(II) FireGL8700/8800: Driver for chipset: ATI RV250 Id (R9000), 
	ATI RV250 Ie (R9000), ATI RV250 If (R9000), ATI RV250 Ig (R9000), 
	ATI RV250 Ld (M9), ATI RV250 Le (M9), ATI RV250 Lf (M9), 
	ATI RV250 Lg (M9), ATI RV280 5960 (R9200 PRO), 
	ATI RV280 Ya (R9200LE), ATI RV250SE Yd (R9200SE), 
	ATI RV250 5C61 (M9+), ATI RV250 5C63 (M9+), ATI R200 QH (R8500), 
	ATI R200 QL (R8500), ATI R200 QM (R9100), ATI R200 QT (R8500), 
	ATI R200 QU (R9100), ATI R200 BB (R8500), ATI RV350 AP (R9600), 
	ATI RV350SE AQ (R9600SE), ATI RV350 AR (R9600 PRO), 
	ATI RV350 NP (M10), ATI R300 AD (R9500), ATI R300 AE (R9500), 
	ATI R300 AF (R9500), ATI R300 AG (Fire GL Z1/X1), 
	ATI R300 ND (R9700 PRO), ATI R300 NE (R9700/R9500 PRO), 
	ATI R300 NF (R9600 TX), ATI R300 NG (Fire GL X1), 
	ATI R350SE AH (R9800SE), ATI R350 AK (Fire GL unknown), 
	ATI RV350 AT (Fire GL T2), ATI RV350 AU (Fire GL T2), 
	ATI RV350 AV (Fire GL T2), ATI RV350 AW (Fire GL T2), 
	ATI R350 NH (R9800), ATI R350LE NI (R9800LE), ATI R350 NJ (R9800), 
	ATI R350 NK (Fire GL X2), ATI RV350 NT (WS/M10) 
(II) Primary Device is: PCI 01:00:0 
(WW) fglrx: No matching Device section for instance (BusID PCI:1:0:1) found 
(--) Chipset ATI RV350 AR (R9600 PRO) found 
(II) resource ranges after xf86ClaimFixedResources() call: 
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B) 
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B) 
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B] 
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B] 
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B] 
	[5] -1	0	0xa6800000 - 0xa6800fff (0x1000) MX[B] 
	[6] -1	0	0xa8000000 - 0xafffffff (0x8000000) MX[B] 
	[7] -1	0	0xa3800000 - 0xa3800fff (0x1000) MX[B] 
	[8] -1	0	0xa4000000 - 0xa40000ff (0x100) MX[B] 
	[9] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O 
	[10] -1	0	0xa7000000 - 0xa7000fff (0x1000) MX[B](B) 
	[11] -1	0	0xcffe0000 - 0xcfffffff (0x20000) MX[B](B) 
	[12] -1	0	0xa6000000 - 0xa600ffff (0x10000) MX[B](B) 
	[13] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B) 
	[14] -1	0	0xa4800000 - 0xa4800fff (0x1000) MX[B] 
	[15] -1	0	0xa5000000 - 0xa5000fff (0x1000) MX[B] 
	[16] -1	0	0xa5800000 - 0xa580ffff (0x10000) MX[B](B) 
	[17] -1	0	0xb0000000 - 0xbfffffff (0x10000000) MX[B](B) 
	[18] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B] 
	[19] -1	0	0x00000000 - 0x000000ff (0x100) IX[B] 
	[20] -1	0	0x0000a800 - 0x0000a81f (0x20) IX[B] 
	[21] -1	0	0x0000b800 - 0x0000b83f (0x40) IX[B] 
	[22] -1	0	0x00009000 - 0x0000901f (0x20) IX[B] 
	[23] -1	0	0x0000e800 - 0x0000e80f (0x10) IX[B] 
	[24] -1	0	0x00009400 - 0x0000941f (0x20) IX[B] 
	[25] -1	0	0x00009800 - 0x0000980f (0x10) IX[B] 
	[26] -1	0	0x0000d800 - 0x0000d8ff (0x100) IX[B](B) 
	[27] -1	0	0x0000a400 - 0x0000a407 (0x8) IX[B] 
	[28] -1	0	0x00008400 - 0x0000843f (0x40) IX[B] 
	[29] -1	0	0x00008800 - 0x000088ff (0x100) IX[B] 
(II) fglrx(0): pEnt->device->identifier=0x8212da8 
(II) resource ranges after probing: 
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B) 
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B) 
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B] 
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B] 
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B] 
	[5] -1	0	0xa6800000 - 0xa6800fff (0x1000) MX[B] 
	[6] -1	0	0xa8000000 - 0xafffffff (0x8000000) MX[B] 
	[7] -1	0	0xa3800000 - 0xa3800fff (0x1000) MX[B] 
	[8] -1	0	0xa4000000 - 0xa40000ff (0x100) MX[B] 
	[9] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O 
	[10] -1	0	0xa7000000 - 0xa7000fff (0x1000) MX[B](B) 
	[11] -1	0	0xcffe0000 - 0xcfffffff (0x20000) MX[B](B) 
	[12] -1	0	0xa6000000 - 0xa600ffff (0x10000) MX[B](B) 
	[13] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B) 
	[14] -1	0	0xa4800000 - 0xa4800fff (0x1000) MX[B] 
	[15] -1	0	0xa5000000 - 0xa5000fff (0x1000) MX[B] 
	[16] -1	0	0xa5800000 - 0xa580ffff (0x10000) MX[B](B) 
	[17] -1	0	0xb0000000 - 0xbfffffff (0x10000000) MX[B](B) 
	[18] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B] 
	[19] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B] 
	[20] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B] 
	[21] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B] 
	[22] -1	0	0x00000000 - 0x000000ff (0x100) IX[B] 
	[23] -1	0	0x0000a800 - 0x0000a81f (0x20) IX[B] 
	[24] -1	0	0x0000b800 - 0x0000b83f (0x40) IX[B] 
	[25] -1	0	0x00009000 - 0x0000901f (0x20) IX[B] 
	[26] -1	0	0x0000e800 - 0x0000e80f (0x10) IX[B] 
	[27] -1	0	0x00009400 - 0x0000941f (0x20) IX[B] 
	[28] -1	0	0x00009800 - 0x0000980f (0x10) IX[B] 
	[29] -1	0	0x0000d800 - 0x0000d8ff (0x100) IX[B](B) 
	[30] -1	0	0x0000a400 - 0x0000a407 (0x8) IX[B] 
	[31] -1	0	0x00008400 - 0x0000843f (0x40) IX[B] 
	[32] -1	0	0x00008800 - 0x000088ff (0x100) IX[B] 
	[33] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B] 
	[34] 0	0	0x000003c0 - 0x000003df (0x20) IS[B] 
(II) Setting vga for screen 0. 
(II) fglrx(0): === [R200PreInit] === begin, [s] 
(II) Loading sub module "vgahw" 
(II) LoadModule: "vgahw" 
(II) Loading /usr/X11R6/lib/modules/libvgahw.a 
(II) Module vgahw: vendor="X.Org Foundation" 
	compiled for 6.7.0, module version = 0.1.0 
	ABI class: X.Org Video Driver, version 0.7 
(II) fglrx(0): PCI bus 1 card 0 func 0 
(**) fglrx(0): Depth 24, (--) framebuffer bpp 32 
(II) fglrx(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps) 
(==) fglrx(0): Default visual is TrueColor 
(**) fglrx(0): Option "NoAccel" "no" 
(**) fglrx(0): Option "NoDRI" "no" 
(**) fglrx(0): Option "Capabilities" "0x20008000" 
(**) fglrx(0): Option "GammaCorrectionI" "0x00000000" 
(**) fglrx(0): Option "GammaCorrectionII" "0x00000000" 
(**) fglrx(0): Option "OpenGLOverlay" "off" 
(**) fglrx(0): Option "VideoOverlay" "on" 
(**) fglrx(0): Option "DesktopSetup" "0x00000000" 
(**) fglrx(0): Option "MonitorLayout" "AUTO, AUTO" 
(**) fglrx(0): Option "HSync2" "unspecified" 
(**) fglrx(0): Option "VRefresh2" "unspecified" 
(**) fglrx(0): Option "ScreenOverlap" "0" 
(**) fglrx(0): Option "IgnoreEDID" "off" 
(**) fglrx(0): Option "UseInternalAGPGART" "yes" 
(**) fglrx(0): Option "Stereo" "off" 
(**) fglrx(0): Option "StereoSyncEnable" "1" 
(**) fglrx(0): Option "UseFastTLS" "0" 
(**) fglrx(0): Option "BlockSignalsOnLock" "on" 
(**) fglrx(0): Option "ForceGenericCPU" "no" 
(**) fglrx(0): Option "CenterMode" "off" 
(**) fglrx(0): Option "FSAAScale" "1" 
(**) fglrx(0): Option "FSAAEnable" "no" 
(**) fglrx(0): Option "FSAADisableGamma" "no" 
(**) fglrx(0): Option "FSAACustomizeMSPos" "no" 
(**) fglrx(0): Option "FSAAMSPosX0" "0.000000" 
(**) fglrx(0): Option "FSAAMSPosY0" "0.000000" 
(**) fglrx(0): Option "FSAAMSPosX1" "0.000000" 
(**) fglrx(0): Option "FSAAMSPosY1" "0.000000" 
(**) fglrx(0): Option "FSAAMSPosX2" "0.000000" 
(**) fglrx(0): Option "FSAAMSPosY2" "0.000000" 
(**) fglrx(0): Option "FSAAMSPosX3" "0.000000" 
(**) fglrx(0): Option "FSAAMSPosY3" "0.000000" 
(**) fglrx(0): Option "FSAAMSPosX4" "0.000000" 
(**) fglrx(0): Option "FSAAMSPosY4" "0.000000" 
(**) fglrx(0): Option "FSAAMSPosX5" "0.000000" 
(**) fglrx(0): Option "FSAAMSPosY5" "0.000000" 
(**) fglrx(0): Option "NoTV" "yes" 
(**) fglrx(0): Option "TVStandard" "NTSC-M" 
(**) fglrx(0): Option "TVHSizeAdj" "0" 
(**) fglrx(0): Option "TVVSizeAdj" "0" 
(**) fglrx(0): Option "TVHPosAdj" "0" 
(**) fglrx(0): Option "TVVPosAdj" "0" 
(**) fglrx(0): Option "TVHStartAdj" "0" 
(**) fglrx(0): Option "TVColorAdj" "0" 
(**) fglrx(0): Option "PseudoColorVisuals" "off" 
(**) fglrx(0): Qbs disabled 
(==) fglrx(0): RGB weight 888 
(II) fglrx(0): Using 8 bits per RGB (8 bit DAC) 
(**) fglrx(0): Gamma Correction for I is 0x00000000 
(**) fglrx(0): Gamma Correction for II is 0x00000000 
(==) fglrx(0): Buffer Tiling is ON 
(II) Loading sub module "int10" 
(II) LoadModule: "int10" 
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a 
(II) Module int10: vendor="X.Org Foundation" 
	compiled for 6.7.0, module version = 1.0.0 
	ABI class: X.Org Video Driver, version 0.7 
(II) fglrx(0): initializing int10 
(II) fglrx(0): Primary V_BIOS segment is: 0xc000 
(**) fglrx(0): Option "mtrr" "off" 
(--) fglrx(0): Chipset: "ATI RV350 AR (R9600 PRO)" (Chipset = 0x4152) 
(--) fglrx(0): (PciSubVendor = 0x174b, PciSubDevice = 0x7c19) 
(--) fglrx(0): board vendor info: third party grafics adapter - NOT original 
ATI 
(--) fglrx(0): Linear framebuffer (phys) at 0xd0000000 
(--) fglrx(0): MMIO registers at 0xa6000000 
(--) fglrx(0): ROM-BIOS at 0xcffe0000 
(--) fglrx(0): ChipExtRevID = 0x00 
(--) fglrx(0): ChipIntRevID = 0x0C 
(--) fglrx(0): VideoRAM: 131072 kByte (64-bit SDR SDRAM) 
(WW) fglrx(0): board is an unknown third party board, chipset is supported 
(II) Loading sub module "ddc" 
(II) LoadModule: "ddc" 
(II) Loading /usr/X11R6/lib/modules/libddc.a 
(II) Module ddc: vendor="X.Org Foundation" 
	compiled for 6.7.0, module version = 1.0.0 
	ABI class: X.Org Video Driver, version 0.7 
(II) Loading sub module "i2c" 
(II) LoadModule: "i2c" 
(II) Loading /usr/X11R6/lib/modules/libi2c.a 
(II) Module i2c: vendor="X.Org Foundation" 
	compiled for 6.7.0, module version = 1.2.0 
	ABI class: X.Org Video Driver, version 0.7 
(II) fglrx(0): I2C bus "DDC" initialized. 
(II) fglrx(0): Connector Layout from BIOS --------  
(II) fglrx(0): Connector1: DDCType-3, DACType-0, TMDSType--1, ConnectorType-2 
(II) fglrx(0): Connector0: DDCType-2, DACType-1, TMDSType-0, ConnectorType-3 
(**) fglrx(0): MonitorLayout Option:  
	Monitor1--Type AUTO, Monitor2--Type AUTO 
 
(**) fglrx(0): Option "NoDDC" 
(II) fglrx(0): DDC detected on DDCType 2 with Monitor Type 0 
(II) fglrx(0): DDC detected on DDCType 3 with Monitor Type 0 
(II) fglrx(0): Primary head: 
 Monitor   -- NONE 
 Connector -- DVI-I 
 DAC Type  -- TVDAC/ExtDAC 
 TMDS Type -- Internal 
 DDC Type  -- DVI_DDC 
(II) fglrx(0): Secondary head: 
 Monitor   -- CRT 
 Connector -- VGA 
 DAC Type  -- Primary 
 TMDS Type -- NONE 
 DDC Type  -- VGA_DDC 
(II) fglrx(0):  
(II) fglrx(0): DesktopSetup 0x0000 
(**) fglrx(0):  PseudoColor visuals disabled 
(**) fglrx(0): Overlay disabled 
(**) fglrx(0): Overlay disabled 
(II) fglrx(0): PLL parameters: rf=2700 rd=12 min=20000 max=40000; xclk=30000 
(==) fglrx(0): Using gamma correction (1.0, 1.0, 1.0) 
(**) fglrx(0): Center Mode is disabled  
(==) fglrx(0): TMDS coherent mode is enabled  
(II) fglrx(0): Monitor0: Using hsync range of 30.00-121.00 kHz 
(II) fglrx(0): Monitor0: Using vrefresh range of 50.00-200.00 Hz 
(II) fglrx(0): Clock range:  20.00 to 400.00 MHz 
(II) fglrx(0): Not using default mode "320x175" (bad mode 
clock/interlace/doublescan) 
(II) fglrx(0): Not using default mode "320x200" (bad mode 
clock/interlace/doublescan) 
(II) fglrx(0): Not using default mode "360x200" (bad mode 
clock/interlace/doublescan) 
(II) fglrx(0): Not using default mode "320x240" (bad mode 
clock/interlace/doublescan) 
(II) fglrx(0): Not using default mode "320x240" (bad mode 
clock/interlace/doublescan) 
(II) fglrx(0): Not using default mode "320x240" (bad mode 
clock/interlace/doublescan) 
(II) fglrx(0): Not using default mode "320x240" (bad mode 
clock/interlace/doublescan) 
(II) fglrx(0): Not using default mode "400x300" (bad mode 
clock/interlace/doublescan) 
(II) fglrx(0): Not using default mode "1920x1440" (hsync out of range) 
(II) fglrx(0): Not using default mode "960x720" (hsync out of range) 
(II) fglrx(0): Not using default mode "2048x1536" (hsync out of range) 
(II) fglrx(0): Not using default mode "1024x768" (hsync out of range) 
(II) fglrx(0): Not using default mode "2048x1536" (width too large for virtual 
size) 
(II) fglrx(0): Not using default mode "2048x1536" (width too large for virtual 
size) 
(II) fglrx(0): Not using default mode "1920x1440" (height too large for 
virtual size) 
(II) fglrx(0): Not using default mode "1920x1440" (height too large for 
virtual size) 
(II) fglrx(0): Not using default mode "1856x1392" (height too large for 
virtual size) 
(II) fglrx(0): Not using default mode "1856x1392" (height too large for 
virtual size) 
(II) fglrx(0): Not using default mode "1792x1344" (height too large for 
virtual size) 
(II) fglrx(0): Not using default mode "1792x1344" (height too large for 
virtual size) 
(--) fglrx(0): Virtual size is 1920x1200 (pitch 1920) 
(**) fglrx(0): *Mode "1920x1200": 294.0 MHz, 112.0 kHz, 89.4 Hz 
(II) fglrx(0): Modeline "1920x1200"  294.00  1920 2064 2272 2624  1200 1201 
1203 1253 +hsync +vsync 
(**) fglrx(0):  Default mode "1600x1200": 229.5 MHz, 106.2 kHz, 85.0 Hz 
(II) fglrx(0): Modeline "1600x1200"  229.50  1600 1664 1856 2160  1200 1201 
1204 1250 +hsync +vsync 
(**) fglrx(0):  Default mode "1600x1200": 202.5 MHz, 93.8 kHz, 75.0 Hz 
(II) fglrx(0): Modeline "1600x1200"  202.50  1600 1664 1856 2160  1200 1201 
1204 1250 +hsync +vsync 
(**) fglrx(0):  Default mode "1600x1200": 189.0 MHz, 87.5 kHz, 70.0 Hz 
(II) fglrx(0): Modeline "1600x1200"  189.00  1600 1664 1856 2160  1200 1201 
1204 1250 +hsync +vsync 
(**) fglrx(0):  Default mode "1600x1200": 175.5 MHz, 81.2 kHz, 65.0 Hz 
(II) fglrx(0): Modeline "1600x1200"  175.50  1600 1664 1856 2160  1200 1201 
1204 1250 +hsync +vsync 
(**) fglrx(0):  Default mode "1600x1200": 162.0 MHz, 75.0 kHz, 60.0 Hz 
(II) fglrx(0): Modeline "1600x1200"  162.00  1600 1664 1856 2160  1200 1201 
1204 1250 +hsync +vsync 
(**) fglrx(0):  Mode "1600x1000": 232.1 MHz, 105.9 kHz, 100.0 Hz 
(II) fglrx(0): Modeline "1600x1000"  232.13  1600 1720 1896 2192  1000 1001 
1004 1059 +hsync +vsync 
(**) fglrx(0):  Default mode "1400x1050": 155.8 MHz, 81.5 kHz, 74.8 Hz 
(II) fglrx(0): Modeline "1400x1050"  155.80  1400 1464 1784 1912  1050 1052 
1064 1090 +hsync +vsync 
(**) fglrx(0):  Default mode "1400x1050": 122.0 MHz, 64.9 kHz, 60.0 Hz 
(II) fglrx(0): Modeline "1400x1050"  122.00  1400 1488 1640 1880  1050 1052 
1064 1082 +hsync +vsync 
(**) fglrx(0):  Default mode "1280x1024": 157.5 MHz, 91.1 kHz, 85.0 Hz 
(II) fglrx(0): Modeline "1280x1024"  157.50  1280 1344 1504 1728  1024 1025 
1028 1072 +hsync +vsync 
(**) fglrx(0):  Default mode "1280x1024": 135.0 MHz, 80.0 kHz, 75.0 Hz 
(II) fglrx(0): Modeline "1280x1024"  135.00  1280 1296 1440 1688  1024 1025 
1028 1066 +hsync +vsync 
(**) fglrx(0):  Default mode "1280x1024": 108.0 MHz, 64.0 kHz, 60.0 Hz 
(II) fglrx(0): Modeline "1280x1024"  108.00  1280 1328 1440 1688  1024 1025 
1028 1066 +hsync +vsync 
(**) fglrx(0):  Default mode "1280x960": 148.5 MHz, 85.9 kHz, 85.0 Hz 
(II) fglrx(0): Modeline "1280x960"  148.50  1280 1344 1504 1728  960 961 964 
1011 +hsync +vsync 
(**) fglrx(0):  Default mode "1280x960": 108.0 MHz, 60.0 kHz, 60.0 Hz 
(II) fglrx(0): Modeline "1280x960"  108.00  1280 1376 1488 1800  960 961 964 
1000 +hsync +vsync 
(**) fglrx(0):  Default mode "1152x864": 108.0 MHz, 67.5 kHz, 75.0 Hz 
(II) fglrx(0): Modeline "1152x864"  108.00  1152 1216 1344 1600  864 865 868 
900 +hsync +vsync 
(**) fglrx(0):  Default mode "1152x768": 65.0 MHz, 44.2 kHz, 54.8 Hz 
(II) fglrx(0): Modeline "1152x768"   65.00  1152 1178 1314 1472  768 771 777 
806 +hsync +vsync 
(**) fglrx(0):  Default mode "1024x768": 94.5 MHz, 68.7 kHz, 85.0 Hz 
(II) fglrx(0): Modeline "1024x768"   94.50  1024 1072 1168 1376  768 769 772 
808 +hsync +vsync 
(**) fglrx(0):  Default mode "1024x768": 78.8 MHz, 60.1 kHz, 75.1 Hz 
(II) fglrx(0): Modeline "1024x768"   78.80  1024 1040 1136 1312  768 769 772 
800 +hsync +vsync 
(**) fglrx(0):  Default mode "1024x768": 170.2 MHz, 120.2 kHz, 75.0 Hz (D) 
(II) fglrx(0): Modeline "1024x768"  170.24  1024 1108 1220 1416  768 768 770 
801 doublescan -hsync +vsync 
(**) fglrx(0):  Default mode "1024x768": 75.0 MHz, 56.5 kHz, 70.1 Hz 
(II) fglrx(0): Modeline "1024x768"   75.00  1024 1048 1184 1328  768 771 777 
806 -hsync -vsync 
(**) fglrx(0):  Default mode "1024x768": 133.5 MHz, 95.3 kHz, 60.0 Hz (D) 
(II) fglrx(0): Modeline "1024x768"  133.47  1024 1100 1212 1400  768 768 770 
794 doublescan -hsync +vsync 
(**) fglrx(0):  Default mode "1024x768": 65.0 MHz, 48.4 kHz, 60.0 Hz 
(II) fglrx(0): Modeline "1024x768"   65.00  1024 1048 1184 1344  768 771 777 
806 -hsync -vsync 
(**) fglrx(0):  Default mode "1024x768": 44.9 MHz, 35.5 kHz, 87.1 Hz (I) 
(II) fglrx(0): Modeline "1024x768"   44.90  1024 1032 1208 1264  768 768 776 
817 interlace +hsync +vsync 
(**) fglrx(0):  Default mode "960x720": 148.5 MHz, 112.5 kHz, 75.0 Hz (D) 
(II) fglrx(0): Modeline "960x720"  148.50  960 1032 1144 1320  720 720 722 750 
doublescan -hsync +vsync 
(**) fglrx(0):  Default mode "960x720": 117.0 MHz, 90.0 kHz, 60.0 Hz (D) 
(II) fglrx(0): Modeline "960x720"  117.00  960 1024 1128 1300  720 720 722 750 
doublescan -hsync +vsync 
(**) fglrx(0):  Default mode "928x696": 144.0 MHz, 112.5 kHz, 75.0 Hz (D) 
(II) fglrx(0): Modeline "928x696"  144.00  928 992 1104 1280  696 696 698 750 
doublescan -hsync +vsync 
(**) fglrx(0):  Default mode "928x696": 109.2 MHz, 86.4 kHz, 60.1 Hz (D) 
(II) fglrx(0): Modeline "928x696"  109.15  928 976 1088 1264  696 696 698 719 
doublescan -hsync +vsync 
(**) fglrx(0):  Default mode "896x672": 130.5 MHz, 106.3 kHz, 75.0 Hz (D) 
(II) fglrx(0): Modeline "896x672"  130.50  896 944 1052 1228  672 672 674 708 
doublescan -hsync +vsync 
(**) fglrx(0):  Default mode "896x672": 102.4 MHz, 83.7 kHz, 60.0 Hz (D) 
(II) fglrx(0): Modeline "896x672"  102.40  896 960 1060 1224  672 672 674 697 
doublescan -hsync +vsync 
(**) fglrx(0):  Mode "928x576": 73.8 MHz, 59.8 kHz, 99.5 Hz 
(II) fglrx(0): Modeline "928x576"   73.83  922 990 1078 1235  576 577 580 601 
+hsync +vsync 
(**) fglrx(0):  Default mode "832x624": 57.3 MHz, 49.7 kHz, 74.6 Hz 
(II) fglrx(0): Modeline "832x624"   57.28  832 864 928 1152  624 625 628 667 
-hsync -vsync 
(**) fglrx(0):  Default mode "800x600": 56.3 MHz, 53.7 kHz, 85.1 Hz 
(II) fglrx(0): Modeline "800x600"   56.30  800 832 896 1048  600 601 604 631 
+hsync +vsync 
(**) fglrx(0):  Default mode "800x600": 114.8 MHz, 106.2 kHz, 85.0 Hz (D) 
(II) fglrx(0): Modeline "800x600"  114.75  800 832 928 1080  600 600 602 625 
doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "800x600": 49.5 MHz, 46.9 kHz, 75.0 Hz 
(II) fglrx(0): Modeline "800x600"   49.50  800 816 896 1056  600 601 604 625 
+hsync +vsync 
(**) fglrx(0):  Default mode "800x600": 101.2 MHz, 93.8 kHz, 75.0 Hz (D) 
(II) fglrx(0): Modeline "800x600"  101.25  800 832 928 1080  600 600 602 625 
doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "800x600": 50.0 MHz, 48.1 kHz, 72.2 Hz 
(II) fglrx(0): Modeline "800x600"   50.00  800 856 976 1040  600 637 643 666 
+hsync +vsync 
(**) fglrx(0):  Default mode "800x600": 94.5 MHz, 87.5 kHz, 70.0 Hz (D) 
(II) fglrx(0): Modeline "800x600"   94.50  800 832 928 1080  600 600 602 625 
doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "800x600": 87.8 MHz, 81.2 kHz, 65.0 Hz (D) 
(II) fglrx(0): Modeline "800x600"   87.75  800 832 928 1080  600 600 602 625 
doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "800x600": 40.0 MHz, 37.9 kHz, 60.3 Hz 
(II) fglrx(0): Modeline "800x600"   40.00  800 840 968 1056  600 601 605 628 
+hsync +vsync 
(**) fglrx(0):  Default mode "800x600": 81.0 MHz, 75.0 kHz, 60.0 Hz (D) 
(II) fglrx(0): Modeline "800x600"   81.00  800 832 928 1080  600 600 602 625 
doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "800x600": 36.0 MHz, 35.2 kHz, 56.2 Hz 
(II) fglrx(0): Modeline "800x600"   36.00  800 824 896 1024  600 601 603 625 
+hsync +vsync 
(**) fglrx(0):  Default mode "700x525": 77.9 MHz, 81.5 kHz, 74.8 Hz (D) 
(II) fglrx(0): Modeline "700x525"   77.90  700 732 892 956  525 526 532 545 
doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "700x525": 61.0 MHz, 64.9 kHz, 60.0 Hz (D) 
(II) fglrx(0): Modeline "700x525"   61.00  700 744 820 940  525 526 532 541 
doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "640x512": 78.8 MHz, 91.1 kHz, 85.0 Hz (D) 
(II) fglrx(0): Modeline "640x512"   78.75  640 672 752 864  512 512 514 536 
doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "640x512": 67.5 MHz, 80.0 kHz, 75.0 Hz (D) 
(II) fglrx(0): Modeline "640x512"   67.50  640 648 720 844  512 512 514 533 
doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "640x512": 54.0 MHz, 64.0 kHz, 60.0 Hz (D) 
(II) fglrx(0): Modeline "640x512"   54.00  640 664 720 844  512 512 514 533 
doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "640x480": 74.2 MHz, 85.9 kHz, 85.1 Hz (D) 
(II) fglrx(0): Modeline "640x480"   74.25  640 672 752 864  480 480 482 505 
doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "640x480": 36.0 MHz, 43.3 kHz, 85.0 Hz 
(II) fglrx(0): Modeline "640x480"   36.00  640 696 752 832  480 481 484 509 
-hsync -vsync 
(**) fglrx(0):  Default mode "640x480": 31.5 MHz, 37.5 kHz, 75.0 Hz 
(II) fglrx(0): Modeline "640x480"   31.50  640 656 720 840  480 481 484 500 
-hsync -vsync 
(**) fglrx(0):  Default mode "640x480": 31.5 MHz, 37.9 kHz, 72.8 Hz 
(II) fglrx(0): Modeline "640x480"   31.50  640 664 704 832  480 489 491 520 
-hsync -vsync 
(**) fglrx(0):  Default mode "640x480": 25.2 MHz, 31.5 kHz, 60.0 Hz 
(II) fglrx(0): Modeline "640x480"   25.20  640 656 752 800  480 490 492 525 
-hsync -vsync 
(**) fglrx(0):  Default mode "640x480": 54.0 MHz, 60.0 kHz, 60.0 Hz (D) 
(II) fglrx(0): Modeline "640x480"   54.00  640 688 744 900  480 480 482 500 
doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "720x400": 35.5 MHz, 37.9 kHz, 85.0 Hz 
(II) fglrx(0): Modeline "720x400"   35.50  720 756 828 936  400 401 404 446 
-hsync +vsync 
(**) fglrx(0):  Default mode "640x400": 31.5 MHz, 37.9 kHz, 85.1 Hz 
(II) fglrx(0): Modeline "640x400"   31.50  640 672 736 832  400 401 404 445 
-hsync +vsync 
(**) fglrx(0):  Default mode "576x432": 54.0 MHz, 67.5 kHz, 75.0 Hz (D) 
(II) fglrx(0): Modeline "576x432"   54.00  576 608 672 800  432 432 434 450 
doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "640x350": 31.5 MHz, 37.9 kHz, 85.1 Hz 
(II) fglrx(0): Modeline "640x350"   31.50  640 672 736 832  350 382 385 445 
+hsync -vsync 
(**) fglrx(0):  Default mode "576x384": 32.5 MHz, 44.2 kHz, 54.8 Hz (D) 
(II) fglrx(0): Modeline "576x384"   32.50  576 589 657 736  384 385 388 403 
doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "512x384": 47.2 MHz, 68.7 kHz, 85.0 Hz (D) 
(II) fglrx(0): Modeline "512x384"   47.25  512 536 584 688  384 384 386 404 
doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "512x384": 39.4 MHz, 60.1 kHz, 75.1 Hz (D) 
(II) fglrx(0): Modeline "512x384"   39.40  512 520 568 656  384 384 386 400 
doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "512x384": 37.5 MHz, 56.5 kHz, 70.1 Hz (D) 
(II) fglrx(0): Modeline "512x384"   37.50  512 524 592 664  384 385 388 403 
doublescan -hsync -vsync 
(**) fglrx(0):  Default mode "512x384": 32.5 MHz, 48.4 kHz, 60.0 Hz (D) 
(II) fglrx(0): Modeline "512x384"   32.50  512 524 592 672  384 385 388 403 
doublescan -hsync -vsync 
(**) fglrx(0):  Default mode "512x384": 22.4 MHz, 35.5 kHz, 87.1 Hz (D) 
(II) fglrx(0): Modeline "512x384"   22.45  512 516 604 632  384 384 388 409 
interlace doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "416x312": 28.6 MHz, 49.7 kHz, 74.7 Hz (D) 
(II) fglrx(0): Modeline "416x312"   28.64  416 432 464 576  312 312 314 333 
doublescan -hsync -vsync 
(**) fglrx(0):  Default mode "400x300": 28.1 MHz, 53.7 kHz, 85.3 Hz (D) 
(II) fglrx(0): Modeline "400x300"   28.15  400 416 448 524  300 300 302 315 
doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "400x300": 24.8 MHz, 46.9 kHz, 75.1 Hz (D) 
(II) fglrx(0): Modeline "400x300"   24.75  400 408 448 528  300 300 302 312 
doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "400x300": 25.0 MHz, 48.1 kHz, 72.2 Hz (D) 
(II) fglrx(0): Modeline "400x300"   25.00  400 428 488 520  300 318 321 333 
doublescan +hsync +vsync 
(**) fglrx(0):  Default mode "400x300": 20.0 MHz, 37.9 kHz, 60.3 Hz (D) 
(II) fglrx(0): Modeline "400x300"   20.00  400 420 484 528  300 300 302 314 
doublescan +hsync +vsync 
(==) fglrx(0): DPI set to (75, 75) 
(II) Loading sub module "fb" 
(II) LoadModule: "fb" 
(II) Loading /usr/X11R6/lib/modules/libfb.a 
(II) Module fb: vendor="X.Org Foundation" 
	compiled for 6.7.0, module version = 1.0.0 
	ABI class: X.Org ANSI C Emulation, version 0.2 
(II) Loading sub module "ramdac" 
(II) LoadModule: "ramdac" 
(II) Loading /usr/X11R6/lib/modules/libramdac.a 
(II) Module ramdac: vendor="X.Org Foundation" 
	compiled for 6.7.0, module version = 0.1.0 
	ABI class: X.Org Video Driver, version 0.7 
(**) fglrx(0): NoAccel = NO 
(II) Loading sub module "xaa" 
(II) LoadModule: "xaa" 
(II) Loading /usr/X11R6/lib/modules/libxaa.a 
(II) Module xaa: vendor="X.Org Foundation" 
	compiled for 6.7.0, module version = 1.1.0 
	ABI class: X.Org Video Driver, version 0.7 
(==) fglrx(0): HPV inactive 
(==) fglrx(0): FSAA enabled: NO 
(**) fglrx(0): FSAA Gamma enabled 
(**) fglrx(0): FSAA Multisample Position is fix 
(**) fglrx(0): NoDRI = NO 
(II) Loading sub module "fglrxdrm" 
(II) LoadModule: "fglrxdrm" 
(II) Loading /usr/X11R6/lib/modules/linux/libfglrxdrm.a 
(II) Module fglrxdrm: vendor="Fire GL - ATI Research GmbH, Germany" 
	compiled for 4.3.0.1, module version = 3.7.6 
	ABI class: XFree86 Server Extension, version 0.2 
(II) fglrx(0): Depth moves disabled by default 
(**) fglrx(0): Capabilities: 0x20008000 
(**) fglrx(0): cpuFlags: 0x8000001d 
(**) fglrx(0): cpuSpeedMHz: 0x00000948 
(==) fglrx(0): OpenGL ClientDriverName: "fglrx_dri.so" 
(**) fglrx(0): using built in AGPGART module: yes 
(**) fglrx(0): UseFastTLS=0 
(**) fglrx(0): BlockSignalsOnLock=1 
(==) fglrx(0): EnablePrivateBackZ = NO 
(II) fglrx(0): using CAIL version [ATI LIB=CAIL.LIB,IA32,2.0024] 
(--) Depth 24 pixmap format is 32 bpp 
(II) do I need RAC?  No, I don't. 
(II) resource ranges after preInit: 
	[0] 0	0	0xa6000000 - 0xa600ffff (0x10000) MX[B] 
	[1] 0	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B] 
	[2] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B) 
	[3] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B) 
	[4] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B] 
	[5] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B] 
	[6] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B] 
	[7] -1	0	0xa6800000 - 0xa6800fff (0x1000) MX[B] 
	[8] -1	0	0xa8000000 - 0xafffffff (0x8000000) MX[B] 
	[9] -1	0	0xa3800000 - 0xa3800fff (0x1000) MX[B] 
	[10] -1	0	0xa4000000 - 0xa40000ff (0x100) MX[B] 
	[11] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O 
	[12] -1	0	0xa7000000 - 0xa7000fff (0x1000) MX[B](B) 
	[13] -1	0	0xcffe0000 - 0xcfffffff (0x20000) MX[B](B) 
	[14] -1	0	0xa6000000 - 0xa600ffff (0x10000) MX[B](B) 
	[15] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B) 
	[16] -1	0	0xa4800000 - 0xa4800fff (0x1000) MX[B] 
	[17] -1	0	0xa5000000 - 0xa5000fff (0x1000) MX[B] 
	[18] -1	0	0xa5800000 - 0xa580ffff (0x10000) MX[B](B) 
	[19] -1	0	0xb0000000 - 0xbfffffff (0x10000000) MX[B](B) 
	[20] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B] 
	[21] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B] 
	[22] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B] 
	[23] 0	0	0x0000d800 - 0x0000d8ff (0x100) IX[B] 
	[24] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B] 
	[25] -1	0	0x00000000 - 0x000000ff (0x100) IX[B] 
	[26] -1	0	0x0000a800 - 0x0000a81f (0x20) IX[B] 
	[27] -1	0	0x0000b800 - 0x0000b83f (0x40) IX[B] 
	[28] -1	0	0x00009000 - 0x0000901f (0x20) IX[B] 
	[29] -1	0	0x0000e800 - 0x0000e80f (0x10) IX[B] 
	[30] -1	0	0x00009400 - 0x0000941f (0x20) IX[B] 
	[31] -1	0	0x00009800 - 0x0000980f (0x10) IX[B] 
	[32] -1	0	0x0000d800 - 0x0000d8ff (0x100) IX[B](B) 
	[33] -1	0	0x0000a400 - 0x0000a407 (0x8) IX[B] 
	[34] -1	0	0x00008400 - 0x0000843f (0x40) IX[B] 
	[35] -1	0	0x00008800 - 0x000088ff (0x100) IX[B] 
	[36] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B] 
	[37] 0	0	0x000003c0 - 0x000003df (0x20) IS[B] 
(WW) fglrx(0): Cannot read colourmap from VGA.  Will restore with default 
(II) fglrx(0): UMM area:     0xd0aca000 (size=0x07536000) 
(II) fglrx(0): driver needs XFree86 version: 4.3.x 
(WW) fglrx(0): could not detect XFree86 version (query_status=-3) 
(II) Loading extension ATIFGLRXDRI 
(II) fglrx(0): doing DRIScreenInit 
drmOpenDevice: minor is 0 
drmOpenDevice: node name is /dev/dri/card0 
drmOpenDevice: open result is 4, (OK) 
drmOpenDevice: minor is 0 
drmOpenDevice: node name is /dev/dri/card0 
drmOpenDevice: open result is 4, (OK) 
drmOpenDevice: minor is 0 
drmOpenDevice: node name is /dev/dri/card0 
drmOpenDevice: open result is 4, (OK) 
drmGetBusid returned '' 
(II) fglrx(0): [drm] created "fglrx" driver at busid "PCI:1:0:0" 
(II) fglrx(0): [drm] added 8192 byte SAREA at 0xf1827000 
(II) fglrx(0): [drm] mapped SAREA 0xf1827000 to 0x402eb000 
(II) fglrx(0): [drm] framebuffer handle = 0xd0000000 
(II) fglrx(0): [drm] added 1 reserved context for kernel 
(II) fglrx(0): DRIScreenInit done 
(II) fglrx(0): Kernel Module Version Information: 
(II) fglrx(0):     Name: fglrx 
(II) fglrx(0):     Version: 3.7.6 
(II) fglrx(0):     Date: Mar  5 2004 
(II) fglrx(0):     Desc: ATI Fire GL DRM kernel module 
(II) fglrx(0): Kernel Module version matches driver. 
(II) fglrx(0): Kernel Module Build Time Information: 
(II) fglrx(0):     Build-Kernel UTS_RELEASE:        2.6.5-gentoo 
(II) fglrx(0):     Build-Kernel MODVERSIONS:        no 
(II) fglrx(0):     Build-Kernel __SMP__:            no 
(II) fglrx(0):     Build-Kernel PAGE_SIZE:          0x1000 
(II) fglrx(0): [drm] register handle = 0xa6000000 
(II) fglrx(0): [agp] Mode=0x1f000217 bridge: 0x8086/0x2530 
(II) fglrx(0): [agp] AGP v1/2 disable mask 0x00000000 
(II) fglrx(0): [agp] AGP v3 disable mask   0x00000000 
(II) fglrx(0): [agp] enabling AGP with mode=0x1f000314 
(II) fglrx(0): [agp] AGP protocoll is enabled for grafics board. 
(cmd=0x1f000314) 
(II) fglrx(0): [agp] grafics chipset has AGP v2.0 
(II) fglrx(0): [drm] ringbuffer size = 0x00100000 bytes 
(II) fglrx(0): [drm] DRM buffer queue setup: nbufs = 100 bufsize = 28672 
(II) fglrx(0): [drm] texture shared area handle = 0xf9f59000 
(II) fglrx(0): shared FSAAScale=1 
(II) fglrx(0): DRI initialization successfull! 
(II) fglrx(0): FBADPhys: 0xd0000000 FBMappedSize: 0x00aca000 
(II) fglrx(0): FBMM initialized for area (0,0)-(1920,1473) 
(II) fglrx(0): FBMM auto alloc for area (0,0)-(1920,1200) (front color buffer 
- assumption) 
(==) fglrx(0): Backing store disabled 
(==) fglrx(0): Silken mouse enabled 
(II) fglrx(0): Using hardware cursor (scanline 1200) 
(II) fglrx(0): Largest offscreen area available: 1920 x 265 
(**) Option "dpms" 
(**) fglrx(0): DPMS enabled 
(II) fglrx(0): Using XFree86 Acceleration Architecture (XAA) 
	Screen to screen bit blits 
	Solid filled rectangles 
	8x8 mono pattern filled rectangles 
	Solid Lines 
	Dashed Lines 
	Offscreen Pixmaps 
	Setting up tile and stipple cache: 
		30 128x128 slots 
(II) fglrx(0): Acceleration enabled 
(II) fglrx(0): X context handle = 0x00000001 
(II) fglrx(0): [DRI] installation complete 
(II) fglrx(0): Direct rendering enabled 
(II) Loading extension FGLRXEXTENSION 
(II) Loading extension ATITVOUT 
(==) RandR enabled 
(II) Setting vga for screen 0. 
(II) Initializing built-in extension MIT-SHM 
(II) Initializing built-in extension XInputExtension 
(II) Initializing built-in extension XTEST 
(II) Initializing built-in extension XKEYBOARD 
(II) Initializing built-in extension LBX 
(II) Initializing built-in extension XC-APPGROUP 
(II) Initializing built-in extension SECURITY 
(II) Initializing built-in extension XINERAMA 
(II) Initializing built-in extension XFree86-Bigfont 
(II) Initializing built-in extension RENDER 
(II) Initializing built-in extension RANDR 
(**) Option "Protocol" "ImPS/2" 
(**) Mouse1: Device: "/dev/input/mice" 
(**) Mouse1: Protocol: "ImPS/2" 
(**) Option "CorePointer" 
(**) Mouse1: Core Pointer 
(**) Option "Device" "/dev/input/mice" 
(==) Mouse1: Emulate3Buttons, Emulate3Timeout: 50 
(**) Option "ZAxisMapping" "4 5" 
(**) Mouse1: ZAxisMapping: buttons 4 and 5 
(**) Mouse1: Buttons: 5 
(II) Keyboard "Keyboard1" handled by legacy driver 
(II) XINPUT: Adding extended input device "Mouse1" (type: MOUSE) 
(II) Mouse1: ps2EnableDataReporting: succeeded 
(II) fglrx(0): [drm] removed 1 reserved context for kernel 
(II) fglrx(0): [drm] unmapping 8192 bytes of SAREA 0xf1827000 at 0x402eb000
Comment 1 Alan Crosswell 2004-05-03 04:19:50 UTC
Created attachment 255 [details]
Xorg.log
Comment 2 Alan Crosswell 2004-05-03 04:21:05 UTC
similar problem for me using xine and vlc with standard Xorg drivers (neomagic)
also on a system that worked properly under XFree86:

X Error of failed request:  BadAlloc (insufficient resources for operation)
  Major opcode of failed request:  141 (XVideo)
  Minor opcode of failed request:  19 ()
  Serial number of failed request:  4776
  Current serial number in output stream:  4778

See attached Xorg.0.log
Comment 3 Billy Biggs 2004-05-05 06:22:07 UTC
I have a tvtime user who complains that tvtime can't get enough video memory
using an ATI 9800 with the 3.7.6 drivers.  If mozilla is not running, tvtime
works fine.  The problem does not exist for them with the xfree server.
Comment 4 Jeffrey Gelens 2004-05-14 18:10:17 UTC
I get the same problem with every video application. When there are too much
programs in memory, I get the error as stated above or I just get a black video
screen (sound only). There are no problems in XFree86 though.
Comment 5 Andrew Clayton 2004-05-25 00:06:35 UTC
I am also seeing this problem using the mga driver with a G550.
It also happens with DRI disabled, just takes longer to show up.

XFree86 4.3 worked fine.


More info can be seen here:

http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=123996
Comment 6 Andreas Thienemann 2004-05-27 05:32:05 UTC
Same problem here.
System is a matrox g400. Everything worked just great with XFree but
breaks with x.org.
However, the problem is also partly color-depth dependant.
running mplayer on 24bit depth gives the following error:

"VO: [xv] 352x240 => 352x264 Planar YV12
X11 error: BadAlloc (insufficient resources for operation)  0.0% 2 0 39%
MPlayer interrupted by signal 6 in module: flip_page"

running in 16bit colordepth makes mplayer able to play movies.

however, opening xmms, mozilla or any other application that uses a
lot of pixmaps prevents mplayer from playing the files in 16bit
colordepth.


Billy Riggs from tvtime adds the following:

<vektor_wrk> i suspect someone broke the memory allocator with dri somehow
<vektor_wrk> xmms must be using a lot of pixmaps.
<vektor_wrk> Like, the problem is that XVIDEO should preempt any
pixmaps in video memory, I think.
<vektor_wrk> Since pixmaps can be stored in system RAM, but XVIDEO
surfaces cannot.
<vektor_wrk> XVIDEO must take priority.
Comment 7 Billy Biggs 2004-05-28 07:47:54 UTC
I changed the title of this bug since it seems it is not specific to the ATI driver.
Comment 8 Jaanus Kivistik 2004-06-01 05:39:37 UTC
Same problem with g450, using xorg-x11-6.7.0-2 from fedora. Mplayer and xine die
when trying to use xvideo:

[xv] dx: 0 dy: 0 dw: 640 dh: 480
X11 error: BadAlloc (insufficient resources for operation)
Type: 0, display: 85a8e18, resourceid: 3c00001, serial: 58
Error code: b, request code: 90, minor code: 13
Comment 9 Donnie Berkholz 2004-06-02 15:00:51 UTC
Here's a link to the same problem under Gentoo, using the binary ATi drivers:

http://bugs.gentoo.org/show_bug.cgi?id=47755
Comment 10 Michal Jaskolski 2004-06-13 12:50:03 UTC
I confirm this bug as well. No more tvtime... I'm using Xorg 6.7.0 from
Mandrakelinux Cooker and ATI drivers. I have 512 MB of RAM and Radeon 9000 with
128 MB of Video RAM (should be enough for everyone)
Comment 11 Tomi Ollila 2004-06-14 11:51:02 UTC
I now have standard FC2 (xorg 6.7.x) and Matrox G550 and I am running fluxbox
window manager

With this configuration mplayer (and lve) fails to open their video windows
(and program exits) with message:

X Error of failed request:  BadAlloc (insufficient resources for operation)

If I run X in failsafe mode (i.e only one xterm running and nothing else) or
additionally to that run twm. Both mplayer and lve works fine.

Does any of you have same behaviour ?

Tomi
Comment 12 Michael Lampe 2004-06-15 07:27:53 UTC
> Does any of you have same behaviour ?

Yes. This usually happens after some program has stuffed the X server with
pixmaps. Mozilla in my case, ~20-40M of pixmap data according to xrestop.

Now, XAA normally tries to put pixmaps in offscreen memory for accelerated draws
into them. These pixmaps should be purged if room for an Xv overlay is needed
but this somehow doesn't happen.

Workaround: Option "XaaNoOffscreenPixmaps"

(XFree86 4.4.0, G400, DRI)
Comment 13 Jakub Argasiński 2004-06-21 03:32:45 UTC
The workaround given in Comment #12 doesn't solve the problem for me:

...
(==) RADEON(0): Write-combining range (0xc0000000,0x8000000)
(II) RADEON(0): Wrote: rd=12, fd=164, pd=1
(WW) RADEON(0): Direct rendering not yet supported on Radeon 9500 and newer cards
(II) RADEON(0): Memory manager initialized to (0,0) (1408,8191)
(II) RADEON(0): Reserved area from (0,1050) to (1408,1052)
(II) RADEON(0): Largest offscreen area available: 1408 x 7139
(**) RADEON(0): Option "XaaNoOffscreenPixmaps" "on"
(II) RADEON(0): Using XFree86 Acceleration Architecture (XAA)
...

MPlayer still crashes:
...
SwScaler: using unscaled Planar YV12 -> Planar YV12 special converter
VO: [xv] 640x480 => 640x480 Planar YV12  [fs] [vm] [zoom]
XF86VM: Selected video mode 640x480 for image size 640x480.
X11 error: BadMatch (invalid parameter attributes)
...

X.org 6.7.0, Radeon 9600 Pro, 'radeon' driver 
Comment 14 Michael Lampe 2004-06-21 07:18:11 UTC
"BadMatch (invalid parameter attributes)" is at least completely different to
"BadAlloc (insufficient resources for operation)." Either an MPlayer bug or too
many fancy/incompatible command line options.
Comment 15 Jakub Argasiński 2004-06-22 01:42:51 UTC
You're probably right. However, the problem appears with just fs=yes and vm=yes
both set - so, not too much fancy options. I will try to investigate it and
report a bug to MPlayer lists if I have some evidence.
Comment 16 ajax at nwnk dot net 2004-07-26 11:20:45 UTC
*** Bug 923 has been marked as a duplicate of this bug. ***
Comment 17 Andrew de Quincey 2004-07-26 17:34:47 UTC
I've been encountering this issue with Xorg 6.7.0, ATI proprietary driver 
3.9.0. Screen res: 1280x1024@24bpp. Card: ATI Radeon 9800Pro (128MB) 
 
Video played using the xv extension works fine initially, but eventually, I 
start getting BadAlloc errors from the application (kaffeine in this case). 
 
I ran xrestop, but nothing in particular is hogging many resources: 
 
xrestop - Display: localhost:0 
          Monitoring 27 clients. XErrors: 0 
          Pixmaps:   12593K total, Other:     123K total, All:   12717K total 
 
res-base Wins  GCs Fnts Pxms Misc   Pxm mem  Other   Total   PID Identifier 
2c00000   316   10    1   52   10     1339K      8K   1348K   ?   kmix 
1e00000    21    9    1   27   10     1324K      1K   1326K   ?   
kwalletmanager 
0e00000     2   11    1   16    8     1311K      1K   1313K 24572 knotify 
1200000     3    6    1   16    4     1311K      1K   1313K 24570 kaccess 
[...] 
 
XV Video was working a few minutes ago, with even more pixmap memory in use - 
but now it fails. Note: everything else works - its just the XV extension that 
claims to have insufficient resources. 
 
I'm unsure if this worked in XFree - been using Xorg for so long now. Could be 
an ATI bug. Are there any other tools I can use to try and track it down? 
 
(xvinfo always works BTW) 
 
Comment 18 Billy Biggs 2004-07-26 19:46:11 UTC
I recently brought this bug up on the xorg mailing list here:

http://freedesktop.org/pipermail/xorg/2004-July/001260.html

Also, see this response from Egbert:

http://freedesktop.org/pipermail/xorg/2004-July/001282.html
Comment 19 Reilly Grant 2004-08-04 15:18:30 UTC
I have this problem too on a ATI Mobility 9000 using the radeon driver. Function
can be restored to mplayer/xine if enough programs are closed but the line seems
fuzzy.

Running xorg-x11-6.7.0-r1 on Gentoo.
Comment 21 Mike A. Harris 2004-08-20 20:18:09 UTC
*** Bug 590 has been marked as a duplicate of this bug. ***
Comment 22 Jakub Argasiński 2004-08-20 22:49:56 UTC
I'm sorry for my impatience, but there has been no word about any progress in
this bug for a long time. Is there a chance it will be fixed in upcoming 6.8.0
release.
Comment 23 Marcin Garski 2004-08-23 14:32:33 UTC
Someone with enough privilages should marked this bug as a release blocker, so
it will be fixed in upcoming 6.8.0.
Comment 24 Billy Biggs 2004-08-23 14:55:16 UTC
From what I can tell, this bug should be considered as a potential release blocker.
Comment 25 Egbert Eich 2004-08-27 07:47:05 UTC
Assigning it to myself.
Comment 26 Egbert Eich 2004-08-27 14:43:04 UTC
Created attachment 750 [details] [review]
Fix.

I hope this fix takes care of the problem.
Comment 27 Egbert Eich 2004-08-27 14:45:56 UTC
The fix has just been committed to CVS. 
Please test!!!
If anything breaks please reopen!
Comment 28 J. Kanowitz 2004-08-29 04:55:44 UTC
This is old news by now, but I've stumbled across similar behavior under both
XFree post 4.3 (4.3.99, 4.4) and X.org 6.7.0 with my MGA G200 on FreeBSD; 4.3
and prior were more immune.  A contributing factor seems to be mplayer failing
to clean up SysV shared memory segments when crashing gracelessly (e.g., the
verbose complaining from mplayer is usually preceded by an attempt to play where
appropriate Xv magic fails somewhere midway, leaving mplayer locked and forcing
a kill -9), and failing to do recognize its leftovers when next run.

Weeding out 'orphaned' segments with the 'ipcs' and 'ipcrm' commands (ipcs -mp
and some ps/awk/xargs mojo can be helpful) will generally return things to health.

Sample MPlayer failure, under 6.7.0:
---
MPlayer 1.0pre4-3.3.3 (C) 2000-2004 MPlayer Team
[...]
VO: [xv] 588x384 => 588x384 Planar YV12 
X11 error: BadAlloc (insufficient resources for operation)  0.0% 0 0 0%

MPlayer interrupted by signal 6 in module: flip_page
- MPlayer crashed. This shouldn't happen.
  It can be a bug in the MPlayer code _or_ in your drivers _or_ in your
  gcc version. If you think it's MPlayer's fault, please read
  DOCS/HTML/en/bugreports.html and follow the instructions there. We can't and
  won't help unless you provide this information when reporting a possible bug.
Xlib: unexpected async reply (sequence 0x5b)!
---

More detail (icps -ma and ipcs -M output) available on request; have yet to test
the impact of the patch.
Comment 29 J. Kanowitz 2004-08-29 04:59:10 UTC
(In reply to comment #28)

Pardon, the verbose and *useful* output of my case would be:

using Xvideo port 69 for hw scaling
[xv] dx: 0 dy: 0 dw: 588 dh: 384
*** [vo] Allocating (slices) mp_image_t, 592x384x12bpp YUV planar, 340992 bytes
[xv] dx: 0 dy: 0 dw: 588 dh: 384
XXX initial  v_pts=0.033  a_pos=7680 (0.480) /  1   0%  0%  0.0% 0 0 0%
*** [vo] Allocating (slices) mp_image_t, 592x384x12bpp YUV planar, 340992 bytes
X11 error: BadAlloc (insufficient resources for operation)
Type: 0, display: 8664000, resourceid: 1a00001, serial: 58
Error code: b, request code: 8e, minor code: 13
Comment 30 Jakub Argasiński 2004-08-29 05:14:47 UTC
(In reply to comment #27)
> The fix has just been committed to CVS. 
> Please test!!!
WFM, 'radeon' driver, Radeon 9600 PRO.

Comment 31 FreeDesktop Bugzilla Database Corruption Fix User 2004-08-29 06:32:16 UTC
(In reply to comment #27)
> The fix has just been committed to CVS. 
> Please test!!!
> If anything breaks please reopen!

Also WFM, mga driver, Matrox G550.
I've only applied the patch to the Mandrake xorg-x11 rpm, haven't used cvs.
Comment 32 Joe Christy 2004-08-30 09:16:34 UTC
(In reply to comment #27)
> The fix has just been committed to CVS. 
> Please test!!!

WFM FireGL T2, proprietary ATI fglrx driver.

Thanks!
Comment 33 Jona Brax 2004-09-16 15:57:22 UTC
> Also WFM, mga driver, Matrox G550.
> I've only applied the patch to the Mandrake xorg-x11 rpm, haven't used cvs.

I added this mentioned patch 
   http://freedesktop.org/bugzilla/attachment.cgi?id=750

to stock FC2 xorg-x11-6.7.0-5 src.rpm, and rebuild with 
   rebuild -bb SPECS/xorg-x11.spec

Installed 15 new rpms, but I still get errors: 

With mplayer (vo=xv fs=no zoom=yes)
Starting playback...
VDec: vo config request - 720 x 576 (preferred csp: Planar YV12)
VDec: using Planar YV12 as output csp (no 0)
Movie-Aspect is 1,33:1 - prescaling to correct movie aspect.
VO: [xv] 720x576 => 768x576 Planar YV12  [zoom]
X11 error: BadAlloc (insufficient resources for operation)  0,0% 1 0 49%
MPlayer interrupted by signal 6 in module: flip_page
- MPlayer crashed. This shouldn't happen.

With mythtv frontend (using mplayer) lots of there (and sound with no picture): 
   X Error: BadAlloc (insufficient resources for operation) 11
     Major opcode:  141
     Minor opcode:  19
     Resource id:  0x0

I have FC2 Millenium G450, Mythtv-cvs, MPlayer-1.0pre5 
Using vo=x11 everything is fine (exept it's very slow) 
Comment 34 Jona Brax 2004-09-17 15:56:17 UTC
Created attachment 931 [details]
Xorg.0.log for xorg-cvs-6.8.1
Comment 35 Jona Brax 2004-09-17 15:57:43 UTC
(In reply to comment #33)

Update: 
I just compiled and installed XORG-6_8_1 from cvs. 
(Duron 1,8GHz, 750MB, FC2+Gnome, Millenium G450, PVR-350) 

Result: same error, only slightly different: 

With "mplayer -vo xv my.mpg": 
X11 error: BadAlloc (insufficient resources for operation)  0,0% 1 0 13%
Xlib: unexpected async reply (sequence 0x5a)!

With "mythfrontend" XV can only show very small videos, fullscreen-mode gives me
blue screen with sound.  In the terminal I see:  
X Error: BadAlloc (insufficient resources for operation) 11
  Major opcode:  140
  Minor opcode:  19
  Resource id:  0x0
X Error: BadAlloc (insufficient resources for operation) 11
  Major opcode:  140
  Minor opcode:  19
  Resource id:  0x0
X Error: BadAlloc (insufficient resources for operation) 11
  Major opcode:  140
  Minor opcode:  19
  Resource id:  0x0
etc...

Xorg.0.log attached
Comment 36 Michael Lampe 2004-09-19 08:23:46 UTC
"insufficient resources for operation" may be the simple truth. From your log:

...
(--) MGA(0): VideoRAM: 16384 kByte
...
(II) MGA(0): Memory manager initialized to (0,0) (1280,1227)
(II) MGA(0): Largest offscreen area available: 1280 x 203
...

You have only 16M VideoRAM and XFree86/X.Org/DRI's video memory management isn't
particularly clever.

Try lowering resolution, depth. Turn off DRI.

Comment 37 Mitch 2004-09-20 15:39:35 UTC
having same problem here.
athlonxp 2200+
256mb ram
ati radeon 9600 256mb // ati drivers v. 3.12.0 (latest ones now)
slackware 10.0
X11 6.8.1 (tgz package from linuxpackages.net) // same with 6.7.0

using dual head configuration.. XVideo extension.
getting strange green artifacts on LCD screen (1) when watching videos with
mplayer on TV (Tv-Out, 2).
max resolution for dvd-divx playback is 640x480. in 800x600 i get the video with
strange flickering green or pink lines.
using the "XaaNoOffscreenPixmaps" option.
can't unload DRI because without it I lose the dual head and the 2nd screen (TV)
 messes up.
without the "XaaNoOffscreenPixmaps" option, only root can play dvds in 640*480,
other users get "unsufficient resources for operation" error.

Comment 38 Jan Mrtynek 2004-09-26 11:49:54 UTC
same problem here:
- fc2 with updates
- xorg-x11-6.7.0-5
- Intel Corp. 82852/855GM Integrated Graphics Device
- MPlayer interrupted by signal 6 in module: flip_page
- X11 error: BadAlloc (insufficient resources for operation)
- adding option -vo x11 helps in mplayer

i also observe, when playing or pausing mplayer or xine parts of flash programs
or animated gifs loaded by mozilla, even if mozilla is minimized. this is really
strange. any solution in sight?

regards
ianus
Comment 39 Egbert Eich 2004-10-18 02:20:53 UTC
This is a know bug for 6.7.0. Unless someone volunteers to do a bugfix release
it wont get fixed for 6.7. Therefore please don't report incidents for 6.7.
6.8.x has this problem fixed. The problems seen with 6.8 appear to be real
limitations or wrong allocations by drivers. In any case they are not the same
problem any more.
Please investigate those further (ie does it help to run the video player with a 
'simple' window manager which doesn't allocate so much offscreen memory, does
closing applications help) and file a new bug report.
Comment 40 Chad 2004-12-12 23:00:54 UTC
I am having the same problem on Suse 9.2 with xorg 6.8.1. So what's the deal?
Isn't the problem supposed be fixed in 6.8.1?
Comment 41 Chad 2004-12-12 23:35:13 UTC
I just realized the problem I reported earlier is video-driver dependent. If I
use the nvidia driver from Nvidia, the problem is gone. If I use the open-source
nv driver, then I see the problem. The bad thing is that I cannot use the binary
nvidia drive because it disables the suspend-to-disk (ram) ACPI feature on laptops. 

(Sigh, when will Linux become a worry-free toy?) 
Comment 42 Egbert Eich 2004-12-13 07:05:07 UTC
Unless you see a regression from an earlier XFree86 version (exactly the same
setup (depth, screen size, window manager, applications just other server)
everything works as expected.
If you do see this regression please reopen and attach the log files of both
servers.
Comment 43 Daniel Stone 2005-02-22 22:17:07 UTC
Hi Egbert,
I'm reopening this one as it's also been reported downstream, and reported to
work with the binary nVidia driver:
https://bugzilla.ubuntu.com/show_bug.cgi?id=6299.

I've pinged the submitter for more information, and will post it here when it
comes.  Cheers.
Comment 44 John Veysey 2005-02-23 11:04:12 UTC
I'm seeing a similar problem with x.org 6.8 and the latest ATI binary drivers. 
May or may not be related. xv works with low res video, but fails on any highdef
source: 
-----------
mplayer:

VO: [xv] 1920x1080 => 1152x648 Planar YV12
aspect: Warning: no suitable new res found!
X11 error: BadAlloc (insufficient resources for operation) ??,?% 0 0 11%
 
 
MPlayer interrupted by signal 6 in module: vo_check_events
-----------
xvinfo | grep max
    maximum XvImage size: 2048 x 2048

-----------

I've got a Radeon 9600 w. 128 M ram.

Also reported here:
http://itdp.fh-biergarten.de/mplayer-users/2005-01/msg00121.html


John Veysey
Comment 45 Daniel Stone 2005-03-16 01:02:51 UTC
log is at: https://bugzilla.ubuntu.com/attachment.cgi?id=1429
Comment 46 Richard W.M. Jones 2005-08-25 08:57:16 UTC
I see this problem with X.org 6.8.2 (compiled by Ubuntu).  mplayer often fails
to start up with the error:

VO: [xv] 720x576 => 768x576 Planar YV12
X11 error: BadAlloc (insufficient resources for operation) ??,?% 2 0 65%

Killing firefox usually frees up enough resources to make it work.

My Xorg.0 log:  http://www.annexia.org/tmp/Xorg.0.log
My xvinfo:      http://www.annexia.org/tmp/xvinfo.txt

Note this machine has "only" 16MB of video RAM.
Comment 47 khiraly 2005-10-11 15:22:03 UTC
I have similar problem running mozilla-firefox on large sites (ex: 
http://www.sg.hu/cikkek/37667 )

The output:
lama@khiraly:~$ mozilla-firefox
The program 'Gecko' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 6035 error_code 11 request_code 53 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
lama@khiraly:~$


I use the nvidia driver (1.0.7174) on 2.4.27-2-386 debian kernel.
I have X.org (debian sid) with version:
 X Window System Version 6.8.2 (Debian 6.8.2.dfsg.1-8 20051005041959 David
Nusinow <dnusinow@debian.org>)

I have tried to run mozilla-firefox with the '--sync' option (as suggested), but
no luck.

Best regards, 
 Khiraly
Comment 48 Erik Andren 2006-04-02 19:56:11 UTC
Whats the status using a current version of xorg?
Comment 49 Erik Andren 2006-04-30 19:14:07 UTC
Closing this bug due to the lack of activity. If the problem still persists,
please reopen the bug.
Comment 50 Joshua 2006-06-02 12:35:40 UTC
I get this using FC5 trying to run mplayer, still...

X11 error: BadAlloc (insufficient resources for operation)7.7% 2 0 0%

2 years and still not fixed?  :x
Comment 51 Roc Vallès Domènech 2006-06-05 22:06:26 UTC
I'm suffering this with my ati mach64 card; can only view videos with mplayer by
using -vf scale=320:240. If I try a bit higher xv resolution, it crashes.

The card (3d rage II pro DVD) is supposed to be capable of lots more, and the
screen resolution is only set at 800x600x24.
Comment 52 Leal Vona 2006-06-27 16:30:46 UTC
2.6.17-1.2139_FC5: After repeated uninstall/install of kmod-fglrx & ATI fglrx
drivers (beginning with kernel 2133,) my tvtime has begun to display this
behaviour, whereas it had not before. Now, when I move tvtime from Monitor1 to
Monitor0 on my Xinerama non-clone Xorg 7.0.0 desktop, I get:



   Cannot allocate enough off-screen video memory.  This may be fixed by:

      1. Closing or restarting large X applications.
      2. Lowering the input width of tvtime (--inputwidth parameter).
      3. Lowering your colour depth or highest configured resolution.
      4. Increasing the amount of video memory in your X config file
         (for example, if you are using the i810 XFree86 driver.)

    See http://tvtime.net/ for more information.

Thank you for using tvtime.

The reason for the cyclic install / uninstall cycle is a non-functional DRI
configuration, so my Xorg.0.log reflects that. I believe this is unrelated however. 

Can't post Xorg.o.log due to comment length restrictions
Comment 53 Erik Andren 2006-06-28 12:12:05 UTC
(In reply to comment #51)

> Can't post Xorg.o.log due to comment length restrictions

Just attach your comment as an attachment to the bug
Comment 54 Christian Schlotter 2006-11-24 10:53:01 UTC
Hi!

I'm also getting this error when using any media player which utilize xv to play
for example a DVD:
X11 error: BadAlloc (insufficient resources for operation)?,?% 0 0

However, I can play low-res videos with xv.

The un-accelerated x11 driver always works.

Regards
Christian
Comment 55 Christian Schlotter 2006-11-24 10:55:17 UTC
Created attachment 7892 [details]
Xorg.0.log for version 7.1.1

X Window System Version 7.1.1
Release Date: 12 May 2006
X Protocol Version 11, Revision 0, Release 7.1.1
Build Operating System: UNKNOWN 
Current Operating System: Linux acer 2.6.18-suspend2 #29 Fri Nov 17 09:59:49
CET
 2006 i686
Build Date: 07 November 2006
Comment 56 Daniel Stone 2007-02-27 01:23:23 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 57 George - 2007-03-07 09:00:42 UTC
Will try to close this bug since the original issue seems fixed.

Please open _separate_ bugs describing your specific case even if you think that you are bitten by this bug. Given the state of this bug, it much more probable to get your issue fixed that way.
Comment 58 Christian Schlotter 2007-03-09 14:02:01 UTC
(In reply to comment #56)
> Please open _separate_ bugs describing your specific case even if you think
> that you are bitten by this bug. Given the state of this bug, it much more
> probable to get your issue fixed that way.

And please post the bug number here after doing that -- so that we can avoid filing duplicate bugs.